Messages from Loft operation

Need help, or want to share a macro? Post here!
keithsloan52
Posts: 1859
Joined: Mon Feb 27, 2012 5:31 pm

Messages from Loft operation

Postby keithsloan52 » Tue Apr 13, 2021 6:58 pm

Okay I have a cylinder (small) and a cone as per
3364BF7F-3184-4437-AC1E-281D4F982EC3.jpeg
3364BF7F-3184-4437-AC1E-281D4F982EC3.jpeg (21.07 KiB) Viewed 515 times
I am trying to create a Loft from the top of the small cylinder to the top of the cone.
I do this by creating two circles with Part.makeCircle with appropriate Radius.
I translate the two circles to the top of the cylinder and cone respectively
then make a Loftshape with Part.makeLoft([circle1, circle2])
It looks okay
E9505C65-EC72-4B56-BF83-1A8C8DFE851A_4_5005_c.jpeg
E9505C65-EC72-4B56-BF83-1A8C8DFE851A_4_5005_c.jpeg (19.26 KiB) Viewed 515 times
But in Report View I get the following messages

Code: Select all

19:46:53  1997.47 <App> Document.cpp(3527): two_cylinder#cylinder still touched after recompute
19:46:53  1997.47 <App> Document.cpp(3527): two_cylinder#cylinder001 still touched after recompute
What is it not happy about?
openBrain
Posts: 5784
Joined: Fri Nov 09, 2018 5:38 pm

Re: Messages from Loft operation

Postby openBrain » Tue Apr 13, 2021 7:07 pm

Without any code or file, this is blind guess but looks like a dependency issue in expressions or mapping.
keithsloan52
Posts: 1859
Joined: Mon Feb 27, 2012 5:31 pm

Re: Messages from Loft operation

Postby keithsloan52 » Tue Apr 13, 2021 7:41 pm

openBrain wrote: Tue Apr 13, 2021 7:07 pm Without any code or file, this is blind guess but looks like a dependency issue in expressions or mapping.
Unfortunately the code is quite complicated.
The github repro is https://github.com/KeithSloan/OpenSCAD_Alt_Import
branch is parallel
Test file is
two_cylinder.csg
(412 Bytes) Downloaded 6 times
The two objects as just an OpenSCAD group as oppposed to a hull request
two_group_cylinder.csg.scad
(413 Bytes) Downloaded 5 times
The main code for this is in OpenSCADHull.py where it try's to handle the hull request without resorting to using Meshes
Last edited by keithsloan52 on Wed Apr 14, 2021 6:13 am, edited 1 time in total.
chrisb
Posts: 34448
Joined: Tue Mar 17, 2015 9:14 am

Re: Messages from Loft operation

Postby chrisb » Tue Apr 13, 2021 10:35 pm

If I should do this in the GUI, I would use a Draft FaceBinder to create the loft. If you can do it by program it may help avoiding rounding errors.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
edwilliams16
Posts: 340
Joined: Thu Sep 24, 2020 10:31 pm
Location: Hawaii
Contact:

Re: Messages from Loft operation

Postby edwilliams16 » Tue Apr 13, 2021 10:41 pm

Since the object you are creating is a cone with known parameters, can you just use Part.makeCone?
keithsloan52
Posts: 1859
Joined: Mon Feb 27, 2012 5:31 pm

Re: Messages from Loft operation

Postby keithsloan52 » Wed Apr 14, 2021 6:12 am

@chrisb and @edwilliams16

I am trying to improve the OpenSCAD importer i.e Rather than use OpenSCAD to produce a Mesh for a Hull operations I am trying to check for certain conditions and do a direct Brep equivalent, in some cases this means trying a Loft operation.

So alternatives using GUI is not really an option.
chrisb
Posts: 34448
Joined: Tue Mar 17, 2015 9:14 am

Re: Messages from Loft operation

Postby chrisb » Wed Apr 14, 2021 6:20 am

I didn't mean to change from the loft to something else, only to use the faces instead of the circles.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
edwilliams16
Posts: 340
Joined: Thu Sep 24, 2020 10:31 pm
Location: Hawaii
Contact:

Re: Messages from Loft operation

Postby edwilliams16 » Wed Apr 14, 2021 6:47 am

Another option would be to revolve a quadrilateral, like in the two sphere case.
keithsloan52
Posts: 1859
Joined: Mon Feb 27, 2012 5:31 pm

Re: Messages from Loft operation

Postby keithsloan52 » Wed Apr 14, 2021 6:48 am

chrisb wrote: Wed Apr 14, 2021 6:20 am I didn't mean to change from the loft to something else, only to use the faces instead of the circles.
But as far as I know there is not a way to know when you have something like a cylinder or a cone what order the faces in Object.Faces are in. Like for example for a Cylinder if the top Face is Object.Faces[0] will it always be index 0 etc. Also true for future releases etc
chrisb
Posts: 34448
Joined: Tue Mar 17, 2015 9:14 am

Re: Messages from Loft operation

Postby chrisb » Wed Apr 14, 2021 7:17 am

keithsloan52 wrote: Wed Apr 14, 2021 6:48 am But as far as I know there is not a way to know when you have something like a cylinder or a cone what order the faces in Object.Faces are in.
You are right. That can be done only if you get the faces as input.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.